import { post, upload } from "@/request/axios.js";


export const getTaxationManageList = (params) =>
  post("/taxationmanage/list", params); // 运营车辆列表export const getOperationVehicleList = (params) =>

export const setTaxatonManageDelete = (params) =>
  post("/taxationmanage/delete", params); // 删除车船税管理export const getOperationVehicleList = (params) =>

export const getExpireStatus = (params) =>
  post("/dictionaries/getExpireStatus", {
    loading: false,
    ...params,
  });
export const getRemindStatus = (params) =>
  post("/dictionaries/getRemindStatus", {
    loading: false,
    ...params,
  });
export const getTransportEnterprises = (params) =>
  post("/dictionaries/getTransportEnterprises", {
    loading: false,
    ...params,
  });
export const findByIdTaxationManageInfo = (params) =>
  post("/taxationmanage/goEdit", {
    loading: false,
    ...params,
  });
export const getTrailerVehicle = (params) =>
  post("/dictionaries/getTrailerVehicle", {
    loading: false,
    ...params,
  });
export const getTaxesPeriod = (params) =>
  post("/dictionaries/getTaxesPeriod", {
    loading: false,
    ...params,
  });
export const getVehicleType = (params) =>
  post("/dictionaries/getVehicleType", {
    loading: false,
    ...params,
  });
export const setTaxationManageAdd = (params) =>
  upload("/taxationmanage/add", params);  // 新增车船税管理

export const editTaxationManageInfo = (params) =>
  upload("/taxationmanage/edit", params);  // 修改车船税管理

export const getTrailerList = (params) =>
  upload("/freightTrailer/vehicleList", params);  // 获取所有挂车

export const getTaxationList = (params) =>
  upload("/taxationmanage/taxationList", params);  // 获取所有车船税



